Subject: Re: bug#32916: font-awesome v5 build scripts are not free

From: Gábor Boskovits <[email-masked]>
Date: Wed, 3 Oct 2018 11:27:34 +0200

Leo Famulari <[email-masked]> ezt írta (időpont: 2018. okt. 2., K,
21:14):

> We have a package of font-awesome, currently at version 4.7.0.
>
> It's a very simple package, installing the files generated by upstream
> rather than trying to rebuild them.
>
> As of version 5, the tools used to build the generated files are not
> free:
>
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=902981
> https://github.com/FortAwesome/Font-Awesome/issues/13467
>
> Is this a problem for us under the FSDG? Quoting the FSDG [0]:
>
> ------
> “Information for practical use” includes software, documentation, fonts,
> and other data that has direct functional applications. It does not
> include artistic works that have an aesthetic (rather than functional)
> purpose, or statements of opinion or judgment.
>
> All information for practical use in a free distribution must be
> available in source form. (“Source” means the form of the information
> that is preferred for making changes to it.)
> ------
>
> Since we don't have the form of the fonts that is preferred for making
> changes to them, my interpretation is that we can't include font-awesome
> version 5.
>
> What do you think?
>
>
As far as I can see this is really a problem. It seems to me that Debian
also came to that conclusion.

> [0]
> https://www.gnu.org/distros/free-system-distribution-guidelines.en.html
>